Subject: Re: [alpine-devel] Proposal: testsuite support in APKBUILDs

From: 7heo <[email-masked]>
Date: Thu, 26 Jan 2017 08:58:04 +0000

we want to have better tests for ages. I'm for it! :)
 
Theo
 
On Thu Jan 26 04:38:00 2017 GMT+0100, William Pitcock wrote:
> Hello,
> 
> A concern I hear occasionally from people when discussing Alpine as a
> distribution they could use for their projects is that Alpine does not
> typically run testsuites in APKBUILDs.  This is largely because abuild
> does not have awareness of testsuites.
> 
> As such, I propose we add a testsuite() phase to the build process,
> that runs after build(), but prior to package().  APKBUILDs should
> override the testsuite phase, but the default_testsuite() function
> will be a noop for the Alpine 3.6 release cycle that raises a warning
> that the APKBUILD does not define any mechanism for running a
> testsuite.  If "!testsuite" is defined in $features, the warning is
> ignored.
> 
> For cross-builds, the testsuite would be skipped unless the package is noarch.
> 
> After Alpine 3.6 (or maybe 3.7), we change the warning to a fatal
> error, requiring APKBUILDs to explicitly opt out of running a
> testsuite through $features.
> 
> Thoughts?
> 
> 
> ---
> Unsubscribe:  [email-masked]
> Help:         [email-masked]
> ---
>�˛���m楦)�u�ޗ맲��r��zX��ƥ�)ޖ)�Ɗ��ijZb��^��~��i�+-��i�w��{���